petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatLMVMUpdate

Adds (X-Xprev) and (F-Fprev) updates to an LMVM matrix. The first time the function is called for an LMVM matrix, no update is applied, but the given X and F vectors are stored for use as Xprev and Fprev in the next update.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMUpdate(Mat B, Vec X, Vec F)

If the user has provided another LMVM matrix in place of J0, the J0 matrix is also updated recursively.

### Input Parameters

| B | - An LMVM-type matrix
| X | - Solution vector
| F | - Function vector

### See Also

MatLMVMReset(), MatLMVMAllocate()

### Level

intermediate

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages